DefaultObjectFactory< AbstractClass, ConcreteClass > Class Template Reference

Object factory for registering objects. More...

Inheritance diagram for DefaultObjectFactory< AbstractClass, ConcreteClass >:

## Public Member Functions

AbstractClass * | CreateObject () const

## Detailed Description

### template<class AbstractClass, class ConcreteClass>
class DefaultObjectFactory< AbstractClass, ConcreteClass >

Object factory for registering objects.

Template Parameters

  AbstractClass | Base class interface of the object
  ConcreteClass | Class object

Definition at line 29 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h